using Grid;
using UnityEngine;

public class PathfindingLinkMonoBehaviour : MonoBehaviour {
    public Vector3 LinkPositionA;
    public Vector3 LinkPositionB;

    public PathfindingLink GetPathfindingLink() {
        return new() {
            GridPositionA = LevelGrid.Instance.GetGridPosition(LinkPositionA),
            GridPositionB = LevelGrid.Instance.GetGridPosition(LinkPositionB),
        };
    }
}